# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`windows_port_forwarding`](#windows_port_forwarding): Manage Windows Port Forwarding with Puppet

## Resource types

### <a name="windows_port_forwarding"></a>`windows_port_forwarding`

Manage Windows Port Forwarding with Puppet

#### Properties

The following properties are available in the `windows_port_forwarding` type.

##### `connect_on`

Specifies the IP address and port to which to connect (ip:port)

##### `ensure`

Valid values: `present`, `absent`

How to ensure this port forwarding (`present` or `absent`)

Default value: `present`

##### `protocol`

Valid values: `v4tov4`, `v6tov6`, `v4tov6`, `v6tov4`

Protocol to establish proxy service (`v4tov4`/`v6tov6`/`v4tov6`/`v6tov4`)

Default value: `v4tov4`

#### Parameters

The following parameters are available in the `windows_port_forwarding` type.

* [`listen_on`](#-windows_port_forwarding--listen_on)
* [`provider`](#-windows_port_forwarding--provider)

##### <a name="-windows_port_forwarding--listen_on"></a>`listen_on`

Specifies the IP address and port for which to listen (ip:port)

##### <a name="-windows_port_forwarding--provider"></a>`provider`

The specific backend to use for this `windows_port_forwarding` resource. You will seldom need to specify this --- Puppet
will usually discover the appropriate provider for your platform.

